﻿@using FlightApp.Core.Models;
@model Flight

@{
    ViewBag.Title = "Delete Flight";
}

<div class="container mt-5 d-flex justify-content-center align-items-center">
    <div class="card">
        <h2 class="card-header">Delete Flight</h2>
        <div class="card-body">
            <p>Are you sure you want to delete this flight?</p>

            <dl class="dl-horizontal">
                <dt>@Html.DisplayNameFor(model => model.Name)</dt>
                <dd>@Html.DisplayFor(model => model.Name)</dd>
            </dl>

            @using (Html.BeginForm("DeleteConfirmed"))
            {
                @Html.AntiForgeryToken()
                <div class="form-group">
                    <a href="@Url.Action("Index")" class="btn btn-secondary">Back to List</a>
                    <button type="submit" class="btn btn-danger">Delete</button>
                </div>
            }
        </div>
    </div>
</div>
